pcl::ColorGradientDOTModality< PointInT >::Candidate Struct Reference

`#include <pcl/recognition/color_gradient_dot_modality.h>`

## Public Member Functions

bool | operator< (const Candidate &rhs)

## Public Attributes

GradientXY | gradient
int | x
int | y

## Detailed Description

### template<typename PointInT>
struct pcl::ColorGradientDOTModality< PointInT >::Candidate

Definition at line 122 of file color_gradient_dot_modality.h.

## Member Function Documentation

template<typename PointInT >

bool pcl::ColorGradientDOTModality< PointInT >::Candidate::operator< | ( | const Candidate & | rhs | ) |

inline

Definition at line 129 of file color_gradient_dot_modality.h.

References pcl::ColorGradientDOTModality< PointInT >::Candidate::gradient, and pcl::GradientXY::magnitude.

## Member Data Documentation

template<typename PointInT >

GradientXY pcl::ColorGradientDOTModality< PointInT >::Candidate::gradient

Definition at line 124 of file color_gradient_dot_modality.h.

Referenced by pcl::ColorGradientDOTModality< PointInT >::Candidate::operator<().

template<typename PointInT >

int pcl::ColorGradientDOTModality< PointInT >::Candidate::x

Definition at line 126 of file color_gradient_dot_modality.h.

template<typename PointInT >

int pcl::ColorGradientDOTModality< PointInT >::Candidate::y

Definition at line 127 of file color_gradient_dot_modality.h.

The documentation for this struct was generated from the following file:

- /build/pcl-6_P28C/pcl-1.7.2/recognition/include/pcl/recognition/color_gradient_dot_modality.h